summaryrefslogtreecommitdiff
path: root/dev-ruby/net-http
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-31 21:20:02 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-31 21:20:02 +0000
commit517397623b519369b7ac0e91062e8961e7cd9986 (patch)
treefc8adc4ad8ba759e2b2d33028ef8c4094f660192 /dev-ruby/net-http
parent766b0c9411409a0eb178e02fa2339e6571fe8187 (diff)
downloadbaldeagleos-repo-517397623b519369b7ac0e91062e8961e7cd9986.tar.gz
baldeagleos-repo-517397623b519369b7ac0e91062e8961e7cd9986.tar.xz
baldeagleos-repo-517397623b519369b7ac0e91062e8961e7cd9986.zip
Adding metadata
Diffstat (limited to 'dev-ruby/net-http')
-rw-r--r--dev-ruby/net-http/Manifest1
-rw-r--r--dev-ruby/net-http/net-http-0.7.0.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-ruby/net-http/Manifest b/dev-ruby/net-http/Manifest
index b9c673646adb..bb5d9f98943d 100644
--- a/dev-ruby/net-http/Manifest
+++ b/dev-ruby/net-http/Manifest
@@ -1 +1,2 @@
DIST net-http-0.6.0.tar.gz 71887 BLAKE2B d9d2436eca6400db4738e72dcff18e5f9e056fb59288f2b263e42bd442230d2e23f63ee98c1b422008f49d68ad5897274d9e5c177ffe71cd6ac7d46370cfe281 SHA512 e21dd64735b5eda4d1b84398c29fc67ba57f6520c7d91b8727c7cd98ab75f4bdceade6219625bf671dfa1282558c68a60dae4b41644b2c2ad6c92134680b62bf
+DIST net-http-0.7.0.tar.gz 72419 BLAKE2B 2e15e8665317648b6a0a8089a2b3687fe24094bf004b4619793c5e3ac99721b4f20816c62250e1b9a3c701ebc873aaf4e36320d2cb3e3143856c89470a77d0bd SHA512 15151346833e4eee9f77e1f10ddaea75b2224005f142a360a23674014b9b522bbbfa575bbb7f98582b91846d77bfb2568d7783fddd9a8c93daa968f2d08af57b
diff --git a/dev-ruby/net-http/net-http-0.7.0.ebuild b/dev-ruby/net-http/net-http-0.7.0.ebuild
new file mode 100644
index 000000000000..f7a1f394bce3
--- /dev/null
+++ b/dev-ruby/net-http/net-http-0.7.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="net-http.gemspec"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+
+inherit ruby-fakegem
+
+DESCRIPTION="HTTP client api for Ruby"
+HOMEPAGE="https://github.com/ruby/net-http"
+SRC_URI="https://github.com/ruby/net-http/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_rdepend "
+ dev-ruby/uri
+"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+ sed -e 's/__dir__/"."/' \
+ -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}